Bug 1030731 - TypeError: Argument 1 does not allow None as a value [NEEDINFO]
TypeError: Argument 1 does not allow None as a value
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:bd38dfbc9199bf653d911bb9a92...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 22:06 EST by Greg Martyn
Modified: 2014-03-19 11:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-19 11:26:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (greg.martyn)


Attachments (Terms of Use)
File: anaconda-tb (1.03 MB, text/plain)
2013-11-14 22:06 EST, Greg Martyn
no flags Details
File: anaconda.log (76.12 KB, text/plain)
2013-11-14 22:06 EST, Greg Martyn
no flags Details
File: environ (545 bytes, text/plain)
2013-11-14 22:06 EST, Greg Martyn
no flags Details
File: journalctl (321.18 KB, text/plain)
2013-11-14 22:06 EST, Greg Martyn
no flags Details
File: lsblk_output (4.52 KB, text/plain)
2013-11-14 22:06 EST, Greg Martyn
no flags Details
File: nmcli_dev_list (5.24 KB, text/plain)
2013-11-14 22:06 EST, Greg Martyn
no flags Details
File: os_info (291 bytes, text/plain)
2013-11-14 22:06 EST, Greg Martyn
no flags Details
File: program.log (67.35 KB, text/plain)
2013-11-14 22:06 EST, Greg Martyn
no flags Details
File: storage.log (491.22 KB, text/plain)
2013-11-14 22:07 EST, Greg Martyn
no flags Details
File: ifcfg.log (1.47 KB, text/plain)
2013-11-14 22:07 EST, Greg Martyn
no flags Details

  None (edit)
Description Greg Martyn 2013-11-14 22:06:24 EST
Description of problem:
Clicked the Reclaim Disk Space option after the install didn't let me continue after custom partitioning, even though it wouldn't say what was wrong. I have a couple drives on this computer, but one is dedicated to Fedora 20. I was using BTRFS with no encryption. The disk was prepartitioned using GPT partitioning, with a 2GB swap, 500MB ext4 boot partition, and the rest was a BTRFS partition. During the custom partitioning step, I told it to reformat all 3. The disk is the boot disk in my bios, and I marked it as the boot disk in the installer.

Version-Release number of selected component:
anaconda-20.25.6-1.fc20.x86_64

The following was filed automatically by anaconda:
anaconda 20.25.6-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 268, in _update_action_buttons
    self._shrinkButton.set_sensitive(device.resizable)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 442, in on_selection_changed
    self._update_action_buttons(self._diskStore[itr])
TypeError: Argument 1 does not allow None as a value

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-KDE-x86_64-20-Beta-5 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.6-301.fc20.x86_64
product:        Fedora
release:        Fedora release 20 (Heisenbug)
type:           anaconda
version:        20
Comment 1 Greg Martyn 2013-11-14 22:06:30 EST
Created attachment 824261 [details]
File: anaconda-tb
Comment 2 Greg Martyn 2013-11-14 22:06:34 EST
Created attachment 824262 [details]
File: anaconda.log
Comment 3 Greg Martyn 2013-11-14 22:06:37 EST
Created attachment 824263 [details]
File: environ
Comment 4 Greg Martyn 2013-11-14 22:06:40 EST
Created attachment 824264 [details]
File: journalctl
Comment 5 Greg Martyn 2013-11-14 22:06:46 EST
Created attachment 824265 [details]
File: lsblk_output
Comment 6 Greg Martyn 2013-11-14 22:06:49 EST
Created attachment 824266 [details]
File: nmcli_dev_list
Comment 7 Greg Martyn 2013-11-14 22:06:53 EST
Created attachment 824267 [details]
File: os_info
Comment 8 Greg Martyn 2013-11-14 22:06:56 EST
Created attachment 824268 [details]
File: program.log
Comment 9 Greg Martyn 2013-11-14 22:07:00 EST
Created attachment 824269 [details]
File: storage.log
Comment 10 Greg Martyn 2013-11-14 22:07:04 EST
Created attachment 824270 [details]
File: ifcfg.log
Comment 11 David Shea 2014-03-11 15:26:45 EDT
Does this still occur in the released version of F20 or rawhide?

Note You need to log in before you can comment on or make changes to this bug.